require 'yaml'

module Korinthenkacker
  module Configuration
    extend self

    def jenkins_url
      settings['jenkins']['url']
    end

    private
    def settings
      @settings ||= YAML.load_file('.korinthenkacker.yml')
    end
  end
end
