module Korinthenkacker
  module Filters
    class Flaky
      def filter(cases)
        unique_cases = Set.new(cases)
        unique_cases.select do |unique_case|
          cases.any? { |other_case| unique_case.sibling?(other_case) }
        end
      end
    end
  end
end
