module Korinthenkacker
  class JobInfo
    attr_reader :name, :url

    def initialize(json)
      @name = json['name']
      @url = json['url']
      @json = json
    end

    def build_numbers
      json['builds'].map { |build| build['number'] }
    end

    private
    attr_reader :json
  end
end
